---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK27_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libma07t001a.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x3980, symBinAddr: 0x2160, symSize: 0x2A0 }
  - { offsetInCU: 0xAC8, offset: 0xAC8, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x4FE20, symBinAddr: 0x71F0, symSize: 0x0 }
  - { offsetInCU: 0xAEF, offset: 0xAEF, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x51D60, symBinAddr: 0x9130, symSize: 0x0 }
  - { offsetInCU: 0xB11, offset: 0xB11, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x52150, symBinAddr: 0x9520, symSize: 0x0 }
  - { offsetInCU: 0xB33, offset: 0xB33, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x530F0, symBinAddr: 0xA4C0, symSize: 0x0 }
  - { offsetInCU: 0xB48, offset: 0xB48, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x53100, symBinAddr: 0xA4D0, symSize: 0x0 }
  - { offsetInCU: 0xBC3, offset: 0xBC3, size: 0x8, addend: 0x0, symName: _CLASS_NAME, symObjAddr: 0xE0F8, symBinAddr: 0x70A0, symSize: 0x0 }
  - { offsetInCU: 0xBD8, offset: 0xBD8, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4FAA0, symBinAddr: 0x70B0, symSize: 0x0 }
  - { offsetInCU: 0xBE3, offset: 0xBE3, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4FAA4, symBinAddr: 0x70B4, symSize: 0x0 }
  - { offsetInCU: 0xBEE, offset: 0xBEE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4FAA8, symBinAddr: 0x70B8, symSize: 0x0 }
  - { offsetInCU: 0xC33, offset: 0xC33, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4FBF0, symBinAddr: 0x70C0, symSize: 0x0 }
  - { offsetInCU: 0xCAC, offset: 0xCAC, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4FCA8, symBinAddr: 0x7178, symSize: 0x0 }
  - { offsetInCU: 0xCCA, offset: 0xCCA, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4FCAC, symBinAddr: 0x717C, symSize: 0x0 }
  - { offsetInCU: 0xCE3, offset: 0xCE3, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4FCB0, symBinAddr: 0x7180, symSize: 0x0 }
  - { offsetInCU: 0xCFC, offset: 0xCFC, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4FCB4, symBinAddr: 0x7184, symSize: 0x0 }
  - { offsetInCU: 0xD15, offset: 0xD15, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4FCB8, symBinAddr: 0x7188, symSize: 0x0 }
  - { offsetInCU: 0x9304, offset: 0x9304, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4FCC0, symBinAddr: 0x7190, symSize: 0x0 }
  - { offsetInCU: 0x938D, offset: 0x938D, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x4FCD0, symBinAddr: 0x71A0, symSize: 0x0 }
  - { offsetInCU: 0x93A6, offset: 0x93A6, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4FCD8, symBinAddr: 0x71A8, symSize: 0x0 }
  - { offsetInCU: 0x93BF, offset: 0x93BF, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4FCE0, symBinAddr: 0x71B0, symSize: 0x0 }
  - { offsetInCU: 0x93D8, offset: 0x93D8, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4FCE8, symBinAddr: 0x71B8, symSize: 0x0 }
  - { offsetInCU: 0x93F1, offset: 0x93F1, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4FCF0, symBinAddr: 0x71C0, symSize: 0x0 }
  - { offsetInCU: 0x940B, offset: 0x940B, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4FCF8, symBinAddr: 0x71C8, symSize: 0x0 }
  - { offsetInCU: 0x94F1, offset: 0x94F1, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x4FD40, symBinAddr: 0x71D0, symSize: 0x0 }
  - { offsetInCU: 0x950A, offset: 0x950A, size: 0x8, addend: 0x0, symName: __ZL26ClassFileLoadHookEventFlag, symObjAddr: 0x4FD7C, symBinAddr: 0x71DC, symSize: 0x0 }
  - { offsetInCU: 0x955B, offset: 0x955B, size: 0x8, addend: 0x0, symName: __ZL11klass_bytes, symObjAddr: 0x4FD80, symBinAddr: 0x71E0, symSize: 0x0 }
  - { offsetInCU: 0x9574, offset: 0x9574, size: 0x8, addend: 0x0, symName: __ZL16klass_byte_count, symObjAddr: 0x4FD88, symBinAddr: 0x71E8, symSize: 0x0 }
  - { offsetInCU: 0x95C6, offset: 0x95C6, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0xDE0, symSize: 0x80 }
  - { offsetInCU: 0x965B, offset: 0x965B, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0xD30, symSize: 0xB0 }
  - { offsetInCU: 0x96B6, offset: 0x96B6, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0xC30, symSize: 0x100 }
  - { offsetInCU: 0x9949, offset: 0x9949, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0xE60, symSize: 0xC0 }
  - { offsetInCU: 0x999B, offset: 0x999B, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0xF20, symSize: 0x220 }
  - { offsetInCU: 0x9B80, offset: 0x9B80, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x1140, symSize: 0xA0 }
  - { offsetInCU: 0x9C33, offset: 0x9C33, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x11E0, symSize: 0x110 }
  - { offsetInCU: 0x9D29, offset: 0x9D29, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x12F0, symSize: 0x150 }
  - { offsetInCU: 0x9E86, offset: 0x9E86, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x1440, symSize: 0x30 }
  - { offsetInCU: 0x9F67, offset: 0x9F67, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1C40, symBinAddr: 0x1470, symSize: 0x150 }
  - { offsetInCU: 0xA15F, offset: 0xA15F, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1D90, symBinAddr: 0x15C0, symSize: 0x160 }
  - { offsetInCU: 0xA41F, offset: 0xA41F, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x2220, symBinAddr: 0x1720, symSize: 0x4A0 }
  - { offsetInCU: 0xA692, offset: 0xA692, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x2970, symBinAddr: 0x1BC0, symSize: 0x1B0 }
  - { offsetInCU: 0xA8AD, offset: 0xA8AD, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2B20, symBinAddr: 0x1D70, symSize: 0xA0 }
  - { offsetInCU: 0xA9A8, offset: 0xA9A8, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2E90, symBinAddr: 0x1E10, symSize: 0x20 }
  - { offsetInCU: 0xA9DF, offset: 0xA9DF, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2EB0, symBinAddr: 0x1E30, symSize: 0x20 }
  - { offsetInCU: 0xAA16, offset: 0xAA16, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2ED0, symBinAddr: 0x1E50, symSize: 0x20 }
  - { offsetInCU: 0xABE9, offset: 0xABE9, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3610, symBinAddr: 0x1E70, symSize: 0x1A0 }
  - { offsetInCU: 0xAF05, offset: 0xAF05, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x37B0, symBinAddr: 0x2010, symSize: 0x150 }
  - { offsetInCU: 0xB0C2, offset: 0xB0C2, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x2400, symSize: 0x1D0 }
  - { offsetInCU: 0xB3BE, offset: 0xB3BE, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DF0, symBinAddr: 0x25D0, symSize: 0x80 }
  - { offsetInCU: 0xB487, offset: 0xB487, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E70, symBinAddr: 0x2650, symSize: 0x6C0 }
  - { offsetInCU: 0xBFFD, offset: 0xBFFD, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA410, symBinAddr: 0x4060, symSize: 0xB0 }
  - { offsetInCU: 0xC074, offset: 0xC074, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x4530, symBinAddr: 0x2D10, symSize: 0x70 }
  - { offsetInCU: 0xC168, offset: 0xC168, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5280, symBinAddr: 0x2D80, symSize: 0xA0 }
  - { offsetInCU: 0xC273, offset: 0xC273, size: 0x8, addend: 0x0, symName: _nsk_jvmti_init_MA, symObjAddr: 0x5320, symBinAddr: 0x2E20, symSize: 0x210 }
  - { offsetInCU: 0xC4CD, offset: 0xC4CD, size: 0x8, addend: 0x0, symName: __ZL16nativeMethodBindP9_jvmtiEnvP7JNIEnv_P8_jobjectP10_jmethodIDPvPS7_, symObjAddr: 0x5530, symBinAddr: 0x3030, symSize: 0x330 }
  - { offsetInCU: 0xC974, offset: 0xC974, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x60F0, symBinAddr: 0x3360, symSize: 0x40 }
  - { offsetInCU: 0xCA6A, offset: 0xCA6A, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6130, symBinAddr: 0x33A0, symSize: 0x2B0 }
  - { offsetInCU: 0xCE10, offset: 0xCE10, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x63E0, symBinAddr: 0x3650, symSize: 0xC0 }
  - { offsetInCU: 0xCF56, offset: 0xCF56, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x64A0, symBinAddr: 0x3710, symSize: 0x10 }
  - { offsetInCU: 0xD018, offset: 0xD018, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x64B0, symBinAddr: 0x3720, symSize: 0x240 }
  - { offsetInCU: 0xD301, offset: 0xD301, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9D10, symBinAddr: 0x3960, symSize: 0x10 }
  - { offsetInCU: 0xD35E, offset: 0xD35E, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9D20, symBinAddr: 0x3970, symSize: 0x270 }
  - { offsetInCU: 0xD649, offset: 0xD649, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9F90, symBinAddr: 0x3BE0, symSize: 0x10 }
  - { offsetInCU: 0xD6A7, offset: 0xD6A7, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9FA0, symBinAddr: 0x3BF0, symSize: 0xD0 }
  - { offsetInCU: 0xD785, offset: 0xD785, size: 0x8, addend: 0x0, symName: __ZL17ClassFileLoadHookP9_jvmtiEnvP7JNIEnv_P7_jclassP8_jobjectPKcS6_iPKhPiPPh, symObjAddr: 0xA070, symBinAddr: 0x3CC0, symSize: 0x3A0 }
  - { offsetInCU: 0xDA9F, offset: 0xDA9F, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA4C0, symBinAddr: 0x4110, symSize: 0x36A }
...
